(define-package "SSAX" (4 9) ()
  ;; Patch "packages.scm"
  (if (not (get-option-value 'dry-run))
      (run (sed "s/goodhtml/goodHTML/")
           (< "lib/packages.scm")
           (> "lib/patched-packages.scm")))

  ;; Install all files
  (with-cwd "lib" (install-files '("SSAX.scm"
                                   "SXML-to-HTML.scm"
                                   "SXML-to-HTML-ext.scm"
                                   "SXML-tree-trans.scm"
                                   "ssax-warn-vanilla.scm"
                                   "assert.scm"
                                   "control.scm"
                                   "define-opt.scm"
                                   "input-parse.scm"
                                   "look-for-str.scm"
                                   "output.scm"
                                   ("patched-packages.scm" . "packages.scm")
                                   "run-test.scm"
                                   "util.scm")
                                 'scheme))
  (install-files '("docs/SSAX-benchmark-1.html"
                   "docs/SXML.html"
                   "docs/index.html")
                 'doc
                 "html")
  (write-to-load-script
   `((config)
     (load ,(absolute-file-name "packages.scm"
                                (get-directory 'scheme #f))))))
